org.eclipse.eef.impl

## Class EEFListDescriptionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFControlDescriptionImpl
          - - org.eclipse.eef.impl.EEFWidgetDescriptionImpl
            - - org.eclipse.eef.impl.EEFListDescriptionImpl

All Implemented Interfaces:
  EEFControlDescription, EEFListDescription, EEFWidgetDescription, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EEFListDescriptionImpl
    extends EEFWidgetDescriptionImpl
    implements EEFListDescription

An implementation of the model object 'EEF List Description'.

The following features are implemented:

- `Value Expression`
- `Display Expression`
- `On Click Expression`
- `Actions`
- `Style`
- `Conditional Styles`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.common.util.EList<EEFWidgetAction>` `actions` The cached value of the '`Actions`' containment reference list.
`protected org.eclipse.emf.common.util.EList<EEFListConditionalStyle>` `conditionalStyles` The cached value of the '`Conditional Styles`' containment reference list.
`protected static java.lang.String` `DISPLAY_EXPRESSION_EDEFAULT` The default value of the '`Display Expression`' attribute.
`protected java.lang.String` `displayExpression` The cached value of the '`Display Expression`' attribute.
`protected static java.lang.String` `ON_CLICK_EXPRESSION_EDEFAULT` The default value of the '`On Click Expression`' attribute.
`protected java.lang.String` `onClickExpression` The cached value of the '`On Click Expression`' attribute.
`protected EEFListStyle` `style` The cached value of the '`Style`' containment reference.
`protected static java.lang.String` `VALUE_EXPRESSION_EDEFAULT` The default value of the '`Value Expression`' attribute.
`protected java.lang.String` `valueExpression` The cached value of the '`Value Expression`' attribute.

### Fields inherited from class org.eclipse.eef.impl.EEFWidgetDescriptionImpl

`HELP_EXPRESSION_EDEFAULT, helpExpression, IS_ENABLED_EXPRESSION_EDEFAULT, isEnabledExpression, LABEL_EXPRESSION_EDEFAULT, labelExpression, propertyValidationRules`

### Fields inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`identifier, IDENTIFIER_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFListDescriptionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFListStyle` `basicGetStyle()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetStyle(EEFListStyle newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<EEFWidgetAction>` `getActions()`
`org.eclipse.emf.common.util.EList<EEFListConditionalStyle>` `getConditionalStyles()`
`java.lang.String` `getDisplayExpression()`
`java.lang.String` `getOnClickExpression()`
`EEFListStyle` `getStyle()`
`java.lang.String` `getValueExpression()`
`void` `setDisplayExpression(java.lang.String newDisplayExpression)`
`void` `setOnClickExpression(java.lang.String newOnClickExpression)`
`void` `setStyle(EEFListStyle newStyle)`
`void` `setValueExpression(java.lang.String newValueExpression)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.eef.impl.EEFWidgetDescriptionImpl

`eInverseAdd, getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`getIdentifier, setIdentifier`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### VALUE_EXPRESSION_EDEFAULT

    protected static final java.lang.String VALUE_EXPRESSION_EDEFAULT

The default value of the '`Value Expression`' attribute.

See Also:
  `getValueExpression()`

#### valueExpression

    protected java.lang.String valueExpression

The cached value of the '`Value Expression`' attribute.

See Also:
  `getValueExpression()`

#### DISPLAY_EXPRESSION_EDEFAULT

    protected static final java.lang.String DISPLAY_EXPRESSION_EDEFAULT

The default value of the '`Display Expression`' attribute.

See Also:
  `getDisplayExpression()`

#### displayExpression

    protected java.lang.String displayExpression

The cached value of the '`Display Expression`' attribute.

See Also:
  `getDisplayExpression()`

#### ON_CLICK_EXPRESSION_EDEFAULT

    protected static final java.lang.String ON_CLICK_EXPRESSION_EDEFAULT

The default value of the '`On Click Expression`' attribute.

See Also:
  `getOnClickExpression()`

#### onClickExpression

    protected java.lang.String onClickExpression

The cached value of the '`On Click Expression`' attribute.

See Also:
  `getOnClickExpression()`

#### actions

    protected org.eclipse.emf.common.util.EList<EEFWidgetAction> actions

The cached value of the '`Actions`' containment reference list.

See Also:
  `getActions()`

#### style

    protected EEFListStyle style

The cached value of the '`Style`' containment reference.

See Also:
  `getStyle()`

#### conditionalStyles

    protected org.eclipse.emf.common.util.EList<EEFListConditionalStyle> conditionalStyles

The cached value of the '`Conditional Styles`' containment reference list.

See Also:
  `getConditionalStyles()`

### Constructor Detail

#### EEFListDescriptionImpl

    protected EEFListDescriptionImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `EEFWidgetDescriptionImpl`

#### getValueExpression

    public java.lang.String getValueExpression()

Specified by:
  `getValueExpression` in interface `EEFListDescription`
Returns:
  the value of the 'Value Expression' attribute.
See Also:
  `EEFListDescription.setValueExpression(String)`, `EefPackage.getEEFListDescription_ValueExpression()`

#### setValueExpression

    public void setValueExpression(java.lang.String newValueExpression)

Specified by:
  `setValueExpression` in interface `EEFListDescription`
Parameters:
  `newValueExpression` - the new value of the 'Value Expression' attribute.
See Also:
  `EEFListDescription.getValueExpression()`

#### getDisplayExpression

    public java.lang.String getDisplayExpression()

Specified by:
  `getDisplayExpression` in interface `EEFListDescription`
Returns:
  the value of the 'Display Expression' attribute.
See Also:
  `EEFListDescription.setDisplayExpression(String)`, `EefPackage.getEEFListDescription_DisplayExpression()`

#### setDisplayExpression

    public void setDisplayExpression(java.lang.String newDisplayExpression)

Specified by:
  `setDisplayExpression` in interface `EEFListDescription`
Parameters:
  `newDisplayExpression` - the new value of the 'Display Expression' attribute.
See Also:
  `EEFListDescription.getDisplayExpression()`

#### getOnClickExpression

    public java.lang.String getOnClickExpression()

Specified by:
  `getOnClickExpression` in interface `EEFListDescription`
Returns:
  the value of the 'On Click Expression' attribute.
See Also:
  `EEFListDescription.setOnClickExpression(String)`, `EefPackage.getEEFListDescription_OnClickExpression()`

#### setOnClickExpression

    public void setOnClickExpression(java.lang.String newOnClickExpression)

Specified by:
  `setOnClickExpression` in interface `EEFListDescription`
Parameters:
  `newOnClickExpression` - the new value of the 'On Click Expression' attribute.
See Also:
  `EEFListDescription.getOnClickExpression()`

#### getActions

    public org.eclipse.emf.common.util.EList<EEFWidgetAction> getActions()

Specified by:
  `getActions` in interface `EEFListDescription`
Returns:
  the value of the 'Actions' containment reference list.
See Also:
  `EefPackage.getEEFListDescription_Actions()`

#### getStyle

    public EEFListStyle getStyle()

Specified by:
  `getStyle` in interface `EEFListDescription`
Returns:
  the value of the 'Style' containment reference.
See Also:
  `EEFListDescription.setStyle(EEFListStyle)`, `EefPackage.getEEFListDescription_Style()`

#### basicGetStyle

    public EEFListStyle basicGetStyle()

#### basicSetStyle

    public org.eclipse.emf.common.notify.NotificationChain basicSetStyle(EEFListStyle newStyle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

#### setStyle

    public void setStyle(EEFListStyle newStyle)

Specified by:
  `setStyle` in interface `EEFListDescription`
Parameters:
  `newStyle` - the new value of the 'Style' containment reference.
See Also:
  `EEFListDescription.getStyle()`

#### getConditionalStyles

    public org.eclipse.emf.common.util.EList<EEFListConditionalStyle> getConditionalStyles()

Specified by:
  `getConditionalStyles` in interface `EEFListDescription`
Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFListDescription_ConditionalStyles()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `EEFWidgetDescriptionImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `EEFWidgetDescriptionImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `EEFWidgetDescriptionImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `EEFWidgetDescriptionImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `EEFWidgetDescriptionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `EEFWidgetDescriptionImpl`